// ignore_for_file: constant_identifier_names

/* Temp [begin] */
/* Temp [end] */
class MeasureTypes {
  MeasureTypes._();

  /// LV Study
  static const LvStudyByLineGroupTissue = 'LvStudyByLineGroupTissue';
  static const LvStudyByLineGroup = 'LvStudyByLineGroup';
  static const LvSimpleTissue = "LvSimpleTissue";
  static const LvSimpleTissueTm = "LvSimpleTissueTm";
  static const LvSingleSimpson = "LvSingleSimpson";
  static const LvSimpson = "LvSimpson";
  static const SimpsonPath = "SimpsonPath";

  /// 空类型，用于结束测量
  static const Empty = 'Empty';

/* Location [begin] */
  /// 深度
  static const Depth = "Depth";

  /// 深度（M mode）
  static const MDepth = "MDepth";

  /// 速度
  static const Velocity = "Velocity";
/* Location [end] */

/* Angle [begin] */
  /// 角度
  static const Angle = "Angle";

  static const HipTwoAngle = "HipTwoAngle";
  static const PolyLineAngle = "PolyLineAngle";
  static const TwoStraightLineAngle = "TwoStraightLineAngle";

  static const Ray = "Ray";
  static const HipOneRay = "HipOneRay";
  static const HipTwoRay = "HipTwoRay";
/* Angle [end] */

/* Length [begin] */
  /// 距离
  static const Distance = "Distance";

  static const CurveLengthSpline = "CurveLengthSpline";
  static const CurveLengthPolyline = "CurveLengthPolyline";
  static const CurveLengthTrace = "CurveLengthTrace";
  static const CurveLength = "CurveLength";
  static const VerticalDistance = "VerticalDistance";
  static const DepthToBaseLine = "DepthToBaseLine";
  static const AutoVesselDiam = "AutoVesselDiam";
  static const MultipleVesselDiam = "MultipleVesselDiam";
  static const PISA = "PISA";
/* Length [end]*/

/* Area Perimeter [begin] */
  /// 周长/面积
  static const AreaPerimeter = "AreaPerimeter";

  static const AreaPerimeterPolyline = "AreaPerimeterPolyline";
  static const AreaPerimeterEllipse = "AreaPerimeterEllipse";
  static const AreaPerimeterSpline = "AreaPerimeterSpline";
  static const AreaPerimeterTwoDistance = "AreaPerimeterTwoDistance";
  static const AreaPerimeterTrace = "AreaPerimeterTrace";

  static const Pht = "Pht";
/* Area Perimeter [end] */

/* Volume  [begin] */
  /// 体积
  static const Volume = "Volume";
  static const VolumeOneDistance = "VolumeOneDistance";
  static const VolumeTwoDistance = "VolumeTwoDistance";
  static const VolumeThreeDistance = "VolumeThreeDistance";
  static const AreaStraightLine = "AreaStraightLine";
  static const VolumeEllipse = "VolumeEllipse";

  static const AutoBladder = "AutoBladder";
  static const Bladder = "Bladder";
/* Volume  [end] */

/* Ratio & Stenosis  [begin] */
  /// 狭窄率
  static const Stenosis = "Stenosis";
  static const StenosisTwoArea = "StenosisTwoArea";
  static const StenosisTwoDistance = "StenosisTwoDistance";
  static const StenosisTwoVerticalDistance = "StenosisTwoVerticalDistance";

  /// A/B 比值
  static const AbRatio = "AbRatio";
  static const AbRatioTwoArea = "AbRatioTwoArea";
  static const AbRatioTwoDepth = "AbRatioTwoDepth";
  static const AbRatioTwoVelocity = "AbRatioTwoVelocity";
  static const AbRatioTwoDistance = "AbRatioTwoDistance";
  static const AbRatioTwoVerticalDistance = "AbRatioTwoVerticalDistance";
  static const AbRatioTwoTimeSpan = "AbRatioTwoTimeSpan";
  static const AbRatioTwoSlope = "AbRatioTwoSlope";
/* Ratio & Stenosis  [end] */

/* Three StraightLine  [begin] */
  static const ThreeDistanceMean = "ThreeDistanceMean";
  static const ThreeDistanceMax = "ThreeDistanceMax";
  static const ThreeVerticalDistance = "ThreeVerticalDistance";
/* Three StraightLine  [end] */

/* Two StraightLine  [begin] */
  static const TwoDistanceBase = "TwoDistanceBase";
  static const TwoVerticalDistance = "TwoVerticalDistance";
  static const TeiIndex = "TeiIndex";

  static const ResidualUrine = "ResidualUrine";
  static const EfCube = "EfCube";
  static const EfTeich = "EfTeich";
  static const IvsThck = "IvsThck";
  static const TwoDistanceAverage = "TwoDistanceAverage";
  static const MVcf = "MVcf";
  static const Ef = "Ef";
  static const FS = "FS";
  /* Two StraightLine  [end] */

/* OB  [begin] */
  static const HcBpdOfd = "HcBpdOfd";
  static const Afi = "Afi";
  static const AutoOBDistance = "AutoOBDistance";
  static const AutoPerimeter = "AutoPerimeter";
  static const OBDistance = "OBDistance";
  static const GS = "GS";
  static const HC = "HC";
  static const AC = "AC";
  static const OBRatioFLAC = "OBRatioFLAC";
  static const OBRatioFLHC = "OBRatioFLHC";
  static const OBRatioHCAC = "OBRatioHCAC";
  static const OBRatioFLBPD = "OBRatioFLBPD";
  static const OBRatioBPDOFD = "OBRatioBPDOFD";
  static const OBRatioTCDAC = "OBRatioTCDAC";
  static const CardiacAxis = "CardiacAxis";
/* OB  [end] */

  static const TimeSpan = "TimeSpan";
  static const Slope = "Slope";

  /* Doppler */
  static const SemiManualTrace = "SemiManualTrace";
  static const DopplerTrace = "DopplerTrace";
  static const SlopeDoppler = "SlopeDoppler";
  static const SV = "Sv";
  static const QpQs = "QpQs";
  static const MultiQpQs = "MultiQpQs";
  static const LvDpDt = "LvDpDt";
  static const FlowVol = "FlowVol";
  static const FlowAreaByVTI = "FlowAreaByVTI";

  /// 阻力指数
  static const ResistivityIndex = "ResistivityIndex";
/* Three StraightLine  [begin] */
  static const ResistivityIndexTwoLocationByEd =
      "ResistivityIndexTwoLocationByEd";
  static const MaxPgTwoLocation = "MaxPgTwoLocation";
  static const PulsatilityIndexTwoLocation = "PulsatilityIndexTwoLocation";

  static const HR = "Hr";
  /* AI [begin]*/
  /// 前壁
  static const AntCCA_IMT = "Ant.CCA IMT";

  /// 后壁
  static const PostCCA_IMT = "Post.CCA IMT";

  /// 前壁和后壁
  static const BothCCA_IMT = "Both.CCA IMT";

  /// 斑块检测
  static const PlaqueDetection = "Plaque Detection";

  /// 内膜检测
  static const IntimaDetection = "Intima Detection";

  /// 左心室舒张期质量
  static const LVdMass = "LVd Mass";
  static const LvdMassAL = "LvdMassAL";

  /// 右室收缩压
  static const RVSP = "RVSP";

  /* URM [begin]*/
  static const SRStraightCurvatureLineMeasure =
      "SRStraightCurvatureLineMeasure";
  static const SRCurvature = "SRCurvature";
  static const SRRoiDensity = "SRRoiDensity";
  // static const SRRoiFractalDim = "SRROIFractalDim";
  static const SRTraceDensity = "SRTraceDensity";
  static const SRTraceFD = "SRTraceFD";
  static const SRLoactionVel = "SRLoactionVel";
  static const SRRoiVel = "SRRoiVel";
  static const URMDensityMeasure = "URMDensityMeasure";
  static const URMRectDenMeasure = "URMRectDenMeasure";
  static const URMVelMeasure = "URMVelMeasure";

  static const VesselDiameter = "VesselDiameter";
  static const VesselDistance = "VesselDistance";

  static const SRCurveCurvatureLineMeasure = "SRCurveCurvatureLineMeasure";
  static const URMVesselMeasure = "URMVesselMeasure";
  static const URMRectVelMeasure = "URMRectVelMeasure";
  static const URMTraceDenMeasure = "URMTraceDenMeasure";
  static const URMTraceVelMeasure = "URMTraceVelMeasure";
  static const URMShellDenMeasure = "URMShellDenMeasure";
  static const URMShellFractalDim = "URMShellFractalDim";
  static const URMShellDensity = "URMShellDensity";
  static const URMShellVelMeasure = "URMShellVelMeasure";
  static const SRROIFractalDim = "SRROIFractalDim";
  static const SRTraceFractalDim = "SRTraceFractalDim";
  static const URMDen = "URMDen";
  static const URMVel = "URMVel";
  static const FractalDimSR = "FractalDimSR";
  static const DensitySR = "DensitySR";

  static const DensityTwoSRRoiRect = "DensityTwoSRRoiRect";
  static const FractalDimTwoSRRoiRect = "FractalDimTwoSRRoiRect";

  static const Roi1 = "Roi1";
  static const Roi2 = "Roi2";
}
