import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/process/items/item.dart';
import 'package:fis_measure/process/items/item_feature.dart';
import 'package:fis_measure/process/items/top_item.dart';

abstract class URMDenAbstract<T extends MeasureItemFeature>
    extends TopMeasureItem<T> {
  URMDenAbstract(ItemMeta meta) : super(meta);

  MeasureItem get child1;
  MeasureItem get child2;
  MeasureItem get child3;
  MeasureItem get child4;
  MeasureItem get child5;

  @override
  bool get finishAfterUnactive => true;
}
