import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/process/items/item.dart';
import 'package:fis_measure/process/items/item_feature.dart';
import 'package:fis_measure/process/items/top_item.dart';

abstract class URMTwoSRRoiRectAbstract<T extends MeasureItemFeature>
    extends TopMeasureItem<T> {
  URMTwoSRRoiRectAbstract(ItemMeta meta) : super(meta);

  MeasureItem get child1;
  MeasureItem get child2;

  @override
  bool get finishAfterUnactive => true;
}
